import { HttpEvent, HttpHandler, HttpInterceptor, HttpRequest } from '@angular/common/http';
import { Observable } from 'rxjs';
import { MockApiService } from './mock-api.service';
import * as i0 from "@angular/core";
export declare class MockApiInterceptor implements HttpInterceptor {
    private _defaultDelay;
    private _hemroMockApiService;
    /**
     * Constructor
     */
    constructor(_defaultDelay: number, _hemroMockApiService: MockApiService);
    /**
     * Intercept
     *
     * @param request
     * @param next
     */
    intercept(request: HttpRequest<any>, next: HttpHandler): Observable<HttpEvent<any>>;
    static ɵfac: i0.ɵɵFactoryDeclaration<MockApiInterceptor, never>;
    static ɵprov: i0.ɵɵInjectableDeclaration<MockApiInterceptor>;
}
