import { Nullable } from 'simplytyped';
import { LogTypes } from '../log';
/**
 * `true` - Production,
 * `false` - Development,
 * `null` - Design/Unittest
 */
export declare type Environments = Nullable<boolean>;
export interface IEnvironment {
    production: Environments;
    logTypes?: Array<LogTypes>;
}
