import { HttpClient } from '@angular/common/http';
import { Observable } from 'rxjs';
import { ConfigAspect } from "@yukawa/chain-base-angular-domain";
import * as i0 from "@angular/core";
export declare class ConfigService implements ConfigAspect {
    protected http: HttpClient;
    /**
     * @deprecated
     */
    protected configUrl: string;
    config: any;
    constructor(http: HttpClient);
    /**
     * @deprecated
     */
    initConfig(): Promise<unknown>;
    initConfigs(locations?: string[], rejectNotFound?: boolean): Promise<unknown>;
    getBaseUrl(id?: string): any;
    getValue(id: string): any;
    formatUrl(id?: string): any;
    /**
     * @deprecated
     */
    getConfig(id?: string): any;
    /**
     * @deprecated
     */
    loadConfig(url?: string): Observable<any>;
    static ɵfac: i0.ɵɵFactoryDeclaration<ConfigService, never>;
    static ɵprov: i0.ɵɵInjectableDeclaration<ConfigService>;
}
export declare function ConfigFactory(config: ConfigService): () => Promise<unknown>;
export declare function init(): {
    provide: import("@angular/core").InjectionToken<readonly (() => void | Promise<unknown> | Observable<unknown>)[]>;
    useFactory: typeof ConfigFactory;
    deps: (typeof ConfigService)[];
    multi: boolean;
};
declare const ConfigModule: {
    init: typeof init;
};
export { ConfigModule };
