import { ModuleWithProviders } from '@angular/core';
import { MockApiService } from './mock-api.service';
import * as i0 from "@angular/core";
export declare class MockApiModule {
    constructor(mockService: MockApiService);
    /**
     * MockApi module default configuration.
     *
     * @param mockApiServices - Array of services that register mock API handlers
     * @param config - Configuration options
     * @param config.delay - Default delay value in milliseconds to apply all responses
     */
    static forRoot(mockApiServices: any[], config?: {
        delay?: number;
    }): ModuleWithProviders<MockApiModule>;
    static ɵfac: i0.ɵɵFactoryDeclaration<MockApiModule, never>;
    static ɵmod: i0.ɵɵNgModuleDeclaration<MockApiModule, never, never, never>;
    static ɵinj: i0.ɵɵInjectorDeclaration<MockApiModule>;
}
