import { Injector } from '@angular/core';
import { FactoryProviderConfig } from '@awesome-nodes/injection-factory';
import { ServiceProviderBase as Base } from '@awesome-nodes/mvvm/providers';
import { ServiceBase } from '@awesome-nodes/mvvm/services';
export declare abstract class ServiceProviderBase<T extends ServiceBase<unknown>> extends Base<T> {
    protected _parentInjector: Injector;
    protected constructor(_parentInjector: Injector);
    inject(provider: FactoryProviderConfig<T>): T;
}
