import { Exception, TemplateString, TemplateStringValues } from '@awesome-nodes/object';
/**
 * Represents the default exception domain for services.
 */
export declare class ServiceException extends Exception {
    private _responseBody?;
    constructor(message: TemplateString, messageTemplateValues?: TemplateStringValues, innerException?: Error, _responseBody?: JSON);
    get responseBody(): JSON | undefined;
}
